import {Component, computed, inject} from '@angular/core';
import {ALTITUDE_VERSION} from '@custom-types/constant';
import {FooterService} from '@services/footer.service';
import {RouterLink} from '@angular/router';

@Component({
  selector: 'app-footer',
  standalone: true,
  imports: [
    RouterLink
  ],
  templateUrl: './footer.component.html',
  styleUrl: './footer.component.scss'
})
export class FooterComponent {
  private readonly footerService: FooterService = inject(FooterService);
  hideFooter = computed(() => (this.footerService.hideFooter()));

  public getCurrentYear() {
    return new Date().getFullYear();
  }

  protected readonly ALTITUDE_VERSION = ALTITUDE_VERSION;
}
